#ifndef _BSP_CAN_H_
#define _BSP_CAN_H_

#ifdef __cplusplus
extern "C" {
#endif 

#include "drv_can.h"

void bsp_can_async_poll(can_dev_e dev);

kit_ret_e bsp_can_sync_send(can_dev_e dev, uint32_t id, uint8_t *buf, uint8_t len, can_frame_type_e ide, CanRtr rtr);
kit_ret_e bsp_can_ext_data_sync_send(can_dev_e dev, uint32_t id, uint8_t *buf, uint8_t len);
kit_ret_e bsp_can_std_data_sync_send(can_dev_e dev, uint32_t id, uint8_t *buf, uint8_t len);
kit_ret_e bsp_can_ext_datas_sync_send(can_dev_e dev, uint32_t id, uint32_t add_value, uint8_t *buf, uint16_t len);

#ifdef __cplusplus
}
#endif

#endif
